import java.io.File;
import java.io.FileNotFoundException;
import java.io.FilenameFilter;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.LinkedList;
import java.util.List;

import tudelft.utilities.j2p.PyModule;
import tudelft.utilities.j2p.PyProgram;

/**
 * First attempt at translating a original geniusweb package to python
 * automatically
 */
public class Try {

	private static final Path dir = Paths.get("downloads/geniusweb/issuevalue");

	public static void main(String[] args) throws FileNotFoundException {
		File[] javafiles = dir.toFile().listFiles(new FilenameFilter() {
			@Override
			public boolean accept(File dir, String name) {
				return name.endsWith(".java");
			}
		});

		List<PyModule> modules = new LinkedList<>();
		for (File file : javafiles) {
			// re-relativize as listFiles gives absolute paths
			file = dir.relativize(file.toPath()).toFile();
			modules.add(PyModule.fromJavaFile(dir, file));
		}

		PyProgram program = new PyProgram(modules);
		System.out.println(program);
	}
}
